package com.sos.example.consumer;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.io.IOException;

import org.apache.log4j.Logger;
import org.junit.Test;

import com.sos.jms.consumer.SOSConsumer;


public class ConsumerTest {
    private SOSConsumer consumer = null;
    private static final String TEST_MESSAGE = "Hello World 2016!"; 
    private static final Logger LOGGER = Logger.getLogger(ConsumerTest.class);

    private void setUpConsumer(){
        this.consumer = new SOSConsumer();
    }
    
    @Test
    public void testReceiveFromQueue() throws IOException, RuntimeException{
        setUpConsumer();
        assertEquals(TEST_MESSAGE, this.consumer.receiveFromQueue());
        assertNotNull("Response received from JobScheduler!", this.consumer.getResponse());
    }
    
}
